Subject: Re: [Bugme-new] [Bug 12327] New: Intermittent TCP issues with => 2.6.27

From: Patrick McHardy <[email-masked]>
Date: Mon, 12 Jan 2009 06:25:54 +0100

Herbert Xu wrote:
> On Thu, Jan 08, 2009 at 05:58:11PM -0600, John Dykstra wrote:
>> I haven't unscrambled where the drop occurs in the PPPoE driver, but that's
>> presumably what changed in 2.6.27.  It seems to me that the drop is proper.
>> What's wrong is trimming the sk_buff to match the IP header while ignoring
>> the L2 header, and that's apparently been that way for a while (if I
>> understand what the reporter is running where).
>>
>> Or have I screwed up my first posting to netdev?
> 
> You've hit the nail on the head :)
> 
> The bridge netfilter is just one huge pile of crap that should
> be deleted.

Fully agreed. So far unfortunately nobody had the stomach to
get rid of this piece of junk.